Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion Member List

This is the complete list of members for eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion, including all inherited members.

$innerGateway | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion | protected
__construct(Gateway $innerGateway) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
addPolicy($roleId, Policy $policy) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
addPolicyLimitations($policyId, array $limitations) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
createRole(Role $role) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
deleteRole($roleId, $status=Role::STATUS_DEFINED) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadPoliciesByUserId($userId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRole($roleId, $status=Role::STATUS_DEFINED) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoleAssignment($roleAssignmentId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoleAssignmentsByGroupId($groupId, $inherited=false) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoleAssignmentsByRoleId($roleId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoleByIdentifier($identifier, $status=Role::STATUS_DEFINED) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoleDraftByRoleId($roleId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRoles($status=Role::STATUS_DEFINED) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
loadRolesForContentObjects($contentIds, $status=Role::STATUS_DEFINED) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
publishRoleDraft($roleDraftId, $originalRoleId=null) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
removePolicy($policyId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
removePolicyLimitations($policyId) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |
updateRole(RoleUpdateStruct $role) | eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.